import java.math.* ;
/*
  QS

 Luc Maranget, projet Moscova, Inria Rocquencourt
 
 Copyright 2005 Institut National de Recherche en Informatique et    
 en Automatique.  All rights reserved.  This file is distributed     
 under the terms of the Q Public License version 1.0.          
*/
class IntList {
  int val ;
  IntList next ;

  IntList (int val, IntList next) {
    this.val = val ;
    this.next = next ;
  }

  BigInteger prod() {
    BigInteger r = BigInteger.valueOf(val) ;
    for (IntList p = next ; p != null ; p = p.next) {
      r = r.multiply(BigInteger.valueOf(p.val)) ;
    }
    return r ;
  }
}
